List tracks
Every track, flat. The only way to answer "do we have this song?" without knowing its artist
GET /catalog/tracks
note
SDK method: listTracks
Security: authenticated (policy: platform.view)
Attributes
Attributes (10)
| Attribute | Type | Required | Description |
|---|---|---|---|
total | number | Yes | The total number of items |
analyzer | string | No | Only records this analysis plugin measured, or tried to and failed. The selector for measuring a detector's records again |
measureFailure | MeasureFailure | No | Only records whose measurement failed this way |
page | number | No | The page number |
pageSize | number | No | The page size |
search | string | No | |
sort | 'asc' | 'desc' | No | The sort order |
sortBy | CatalogSort | No | |
sortBy | TrackSort | No | |
state | TrackState | No |
Response
200 OK — Returns a TrackPage object.